Author Topic: Problems setting up GSuite mail  (Read 627 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Problems setting up GSuite mail
« on: January 28, 2020, 01:07:15 PM »
Hello all,
I was trying to follow these directions:  Set up MX records for G Suite Gmail and hit a brick wall.

All MX records are recorded and I went to mail routing.  When I select the "Domain" I'm greeted with the following:

Quote
Warning: mysqli_error() expects exactly 1 parameter, 0 given in /usr/local/cwpsrv/htdocs/resources/admin/include/functions/func_mysql.php on line 0

Warning: mysqli_fetch_array() expects parameter 1 to be mysqli_result, boolean given in /usr/local/cwpsrv/htdocs/resources/admin/include/functions/func_mysql.php on line 0

Warning: mysqli_free_result() expects parameter 1 to be mysqli_result, boolean given in /usr/local/cwpsrv/htdocs/resources/admin/include/functions/func_mysql.php on line 0

func_mysql.php reads:
Code: [Select]
<?php //00423
// Copyright CentOS WebPanel, Decoding is FORBIDDEN
// All Rights Reserved. www.centos-webpanel.com
if(!extension_loaded('ionCube Loader')){$__oc=strtolower(substr(php_uname(),0,3));$__ln='ioncube_loader_'.$__oc.'_'.substr(phpversion(),0,3).(($__oc=='win')?'.dll':'.so');if(function_exists('dl')){@dl($__ln);}if(function_exists('_il_exec')){return _il_exec();}$__ln='/ioncube/'.$__ln;$__oid=$__id=realpath(ini_get('extension_dir'));$__here=dirname(__FILE__);if(strlen($__id)>1&&$__id[1]==':'){$__id=str_replace('\\','/',substr($__id,2));$__here=str_replace('\\','/',substr($__here,2));}$__rd=str_repeat('/..',substr_count($__id,'/')).$__here.'/';$__i=strlen($__rd);while($__i--){if($__rd[$__i]=='/'){$__lp=substr($__rd,0,$__i).$__ln;if(file_exists($__oid.$__lp)){$__ln=$__lp;break;}}}if(function_exists('dl')){@dl($__ln);}}else{die('The file '.__FILE__." is corrupted.\n");}if(function_exists('_il_exec')){return _il_exec();}echo('No Loader is installed, please try to run this command or contact support: sh /scripts/update_ioncube');exit(199);
?>

The remainder of the file looks like encoded text.  Now if I select "Mail Exchanger" the error goes away, but I don't have an option to input anything.

I have the Pro Version of CWP: 0.9.8.932
Apache version: Apache/2.4.39
PHP version: 7.3.13 PHP-FPM is forced
MySQL version: 10.1.43-MariaDB
FTP version: 1.0.47
SSH Port: 2022
MySql Port: 3306
Web Servers: apache-only

I am running apache only because I had so many issues getting Nginx and Varnish to work for me.  I'm not a terminal kind of guy although I'm learning.  I am using PHP-FPM and I haven't noticed any speed issues as of yet.  Any help would be appreciated in this department.  Google, is just not cutting it for me.

Thank you!